Bug 174805 - [PATCH] devel/p5-Path-Class: update to 0.29
Summary: [PATCH] devel/p5-Path-Class: update to 0.29
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-perl (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-29 13:00 UTC by Po-Chien Lin
Modified: 2013-01-04 09:00 UTC (History)
1 user (show)

See Also:


Attachments
p5-Path-Class-0.29.patch (2.30 KB, patch)
2012-12-29 13:00 UTC, Po-Chien Lin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Po-Chien Lin 2012-12-29 13:00:00 UTC
- Update to 0.29
Comment 1 Edwin Groothuis freebsd_committer 2012-12-29 13:00:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-01-04 08:52:34 UTC
Author: jadawin
Date: Fri Jan  4 08:52:26 2013
New Revision: 309921
URL: http://svnweb.freebsd.org/changeset/ports/309921

Log:
  - Update to 0.29
  
  PR:		ports/174805
  Submitted by:	Po-Chien Lin <linpc@cs.nctu.edu.tw>

Modified:
  head/devel/p5-Path-Class/Makefile   (contents, props changed)
  head/devel/p5-Path-Class/distinfo   (contents, props changed)
  head/devel/p5-Path-Class/pkg-descr   (contents, props changed)
  head/devel/p5-Path-Class/pkg-plist   (contents, props changed)

Modified: head/devel/p5-Path-Class/Makefile
==============================================================================
--- head/devel/p5-Path-Class/Makefile	Fri Jan  4 08:49:47 2013	(r309920)
+++ head/devel/p5-Path-Class/Makefile	Fri Jan  4 08:52:26 2013	(r309921)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	Path::Class
-# Date created:		2004-07-25
-# Whom:			Elvis Chiang <elvis@sslab.cs.ccu.edu.tw>
-#
+# Created by: Elvis Chiang <elvis@sslab.cs.ccu.edu.tw>
 # $FreeBSD$
-#
 
 PORTNAME=	Path-Class
-PORTVERSION=	0.26
+PORTVERSION=	0.29
 CATEGORIES=	devel perl5
 MASTER_SITES=	CPAN
 MASTER_SITE_SUBDIR=	CPAN:KWILLIAMS
@@ -32,8 +28,8 @@ PORTDOCS=	Changes README
 
 post-install:
 .if ${PORT_OPTIONS:MDOCS}
-	${MKDIR} ${DOCSDIR}/
-	cd ${WRKSRC}/ && ${INSTALL_DATA} ${PORTDOCS} ${DOCSDIR}/
+	${MKDIR} ${DOCSDIR}
+	cd ${WRKSRC} && ${INSTALL_DATA} ${PORTDOCS} ${DOCSDIR}/
 	@${ECHO_MSG} "===> Documentation installed in ${DOCSDIR}."
 .endif
 

Modified: head/devel/p5-Path-Class/distinfo
==============================================================================
--- head/devel/p5-Path-Class/distinfo	Fri Jan  4 08:49:47 2013	(r309920)
+++ head/devel/p5-Path-Class/distinfo	Fri Jan  4 08:52:26 2013	(r309921)
@@ -1,2 +1,2 @@
-SHA256 (Path-Class-0.26.tar.gz) = 681a89f6d65ec21448e1aa9e16d42bda196045d17e4bc73752d5a71e40973272
-SIZE (Path-Class-0.26.tar.gz) = 29917
+SHA256 (Path-Class-0.29.tar.gz) = 9f4c88d2550fe959c46a3577db577f58926c9d5df0f69971aa61312c22db7cfc
+SIZE (Path-Class-0.29.tar.gz) = 31363

Modified: head/devel/p5-Path-Class/pkg-descr
==============================================================================
--- head/devel/p5-Path-Class/pkg-descr	Fri Jan  4 08:49:47 2013	(r309920)
+++ head/devel/p5-Path-Class/pkg-descr	Fri Jan  4 08:52:26 2013	(r309921)
@@ -1,4 +1,3 @@
 Path::Class - Cross-platform path specification manipulation
 
-Author:	Ken Williams <KWILLIAMS@cpan.org>
-WWW:	http://search.cpan.org/dist/Path-Class/
+WWW: http://search.cpan.org/dist/Path-Class/

Modified: head/devel/p5-Path-Class/pkg-plist
==============================================================================
--- head/devel/p5-Path-Class/pkg-plist	Fri Jan  4 08:49:47 2013	(r309920)
+++ head/devel/p5-Path-Class/pkg-plist	Fri Jan  4 08:52:26 2013	(r309921)
@@ -1,6 +1,6 @@
 %%SITE_PERL%%/Path/Class.pm
-%%SITE_PERL%%/Path/Class/Entity.pm
 %%SITE_PERL%%/Path/Class/Dir.pm
+%%SITE_PERL%%/Path/Class/Entity.pm
 %%SITE_PERL%%/Path/Class/File.pm
-@dirrm %%SITE_PERL%%/Path/Class
+@dirrmtry %%SITE_PERL%%/Path/Class
 @dirrmtry %%SITE_PERL%%/Path
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Philippe Audeoud freebsd_committer 2013-01-04 08:52:59 UTC
State Changed
From-To: open->closed

Committed. Thanks!